Package org.apache.solr.common

# Interface IteratorWriter.ItemWriter

Enclosing interface:
  `IteratorWriter`

public static interface IteratorWriter.ItemWriter

## Method Summary

Modifier and Type
Method
Description
`default IteratorWriter.ItemWriter`
`add(boolean v)`
`default IteratorWriter.ItemWriter`
`add(double v)`
`default IteratorWriter.ItemWriter`
`add(float v)`
`default IteratorWriter.ItemWriter`
`add(int v)`
`default IteratorWriter.ItemWriter`
`add(long v)`
`IteratorWriter.ItemWriter`
`add(Object o)`
The item could be any supported type
`default IteratorWriter.ItemWriter`
`addNoEx(Object o)`

## Method Details

### add

IteratorWriter.ItemWriter add(Object o) throws IOException
The item could be any supported type

Throws:
  `IOException`

### addNoEx

default IteratorWriter.ItemWriter addNoEx(Object o)

### add

default IteratorWriter.ItemWriter add(int v) throws IOException

Throws:
  `IOException`

### add

default IteratorWriter.ItemWriter add(long v) throws IOException

Throws:
  `IOException`

### add

default IteratorWriter.ItemWriter add(float v) throws IOException

Throws:
  `IOException`

### add

default IteratorWriter.ItemWriter add(double v) throws IOException

Throws:
  `IOException`

### add

default IteratorWriter.ItemWriter add(boolean v) throws IOException

Throws:
  `IOException`